changeset 17346:f64ccd83673d

run-test.sh: Valgrind version check was broken for v3.10+, removed it entirely. RHEL 5.9 has valgrind v3.5 already, so there shouldn't really be any important OSes using old valgrind that we need to support.
author Timo Sirainen <tss@iki.fi>
date Thu, 08 May 2014 10:21:56 +0300
parents 24d27f7da7b2
children 10ce023ebf79
files run-test.sh
diffstat 1 files changed, 2 insertions(+), 9 deletions(-) [+]
line wrap: on
line diff
--- a/run-test.sh	Wed May 07 23:32:28 2014 +0300
+++ b/run-test.sh	Thu May 08 10:21:56 2014 +0300
@@ -2,15 +2,8 @@
 
 trap "rm -f test.out.$$" 0 1 2 3 15
 
-if valgrind --version | grep '^valgrind-3.[012]'; then
-  # RHEL 5.4 still has Valgrind v3.2
-  valgrind -q --log-file-exactly=test.out.$$ $*
-  ret=$?
-else
-  # v3.3+
-  valgrind -q --log-file=test.out.$$ $*
-  ret=$?
-fi
+valgrind -q --log-file=test.out.$$ $*
+ret=$?
 if [ -s test.out.$$ ]; then
   cat test.out.$$
   exit 1